#ifndef MSP_GRAPHICS_ERRORDIALOG_H_
#define MSP_GRAPHICS_ERRORDIALOG_H_

#include <msp/debug/errorreporter.h>

namespace Msp {
namespace Graphics {

class Display;

class ErrorDialog: public Debug::ErrorReporter
{
private:
	Display *display;

public:
	ErrorDialog(Display *d): display(d) { }

	virtual bool report_uncaught_exception(const std::exception &) const;
};

} // namespace Graphics
} // namespace Msp

#endif
